## AgsThreadApplicationContext

AgsThreadApplicationContext — threaded application context

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_thread_application_context_register_types ()
AgsThreadApplicationContext * | ags_thread_application_context_new ()

## Properties

AgsThreadPool * | thread-pool | Read / Write

## Types and Values

#define | AGS_THREAD_DEFAULT_VERSION
#define | AGS_THREAD_BUILD_ID
enum | AgsThreadApplicationContextFlags

## Object Hierarchy

        GFlags
        ╰── AgsThreadApplicationContextFlags
        GObject
        ╰── AgsApplicationContext
            ╰── AgsThreadApplicationContext

## Includes

    #include <ags/thread/ags_thread_application_context.h>

## Description

The AgsThreadApplicationContext provides you multi-threaded functionality.

## Functions

### ags_thread_application_context_register_types ()

    void
    ags_thread_application_context_register_types
                                   (AgsApplicationContext *application_context);

### ags_thread_application_context_new ()

    AgsThreadApplicationContext *
    ags_thread_application_context_new ();

Create a new instance of AgsThreadApplicationContext.

#### Returns

the new AgsThreadApplicationContext

Since: 3.0.0

## Types and Values

### AGS_THREAD_DEFAULT_VERSION

    #define AGS_THREAD_DEFAULT_VERSION "0.7.122.8"

### AGS_THREAD_BUILD_ID

    #define AGS_THREAD_BUILD_ID "Tue Mar 21 20:03:29 CET 2017"

### enum AgsThreadApplicationContextFlags

Enum values to control the behavior or indicate internal state of AgsThreadApplicationContext by enable/disable as sync_flags.

#### Members

AGS_THREAD_APPLICATION_CONTEXT_SINGLE_THREAD | run all threads in one single loop |

## Property Details

### The `“thread-pool”` property

      “thread-pool”              AgsThreadPool *

The assigned thread pool.

Owner: AgsThreadApplicationContext

Flags: Read / Write

Since: 3.0.0